package common.tileentity;

import common.tags.TagObject;

public class LockCode
{
    public static final LockCode EMPTY_CODE = new LockCode("");
    private final String lock;

    public LockCode(String code)
    {
        this.lock = code;
    }

    public boolean isEmpty()
    {
        return this.lock == null || this.lock.isEmpty();
    }

    public String getLock()
    {
        return this.lock;
    }

    public void toNBT(TagObject nbt)
    {
        nbt.setString("Lock", this.lock);
    }

    public static LockCode fromNBT(TagObject nbt)
    {
        if (nbt.hasString("Lock"))
        {
            String s = nbt.getString("Lock");
            return new LockCode(s);
        }
        else
        {
            return EMPTY_CODE;
        }
    }
}
